Bug 1654457 - module-idm-client, python-qrcode: Please switch Requires to platform-python-setuptools
Summary: module-idm-client, python-qrcode: Please switch Requires to platform-python-s...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: python-qrcode
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Christian Heimes
QA Contact: Kaleem
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-28 20:33 UTC by Tomas Orsava
Modified: 2019-11-05 21:19 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1654458 (view as bug list)
Environment:
Last Closed: 2019-11-05 21:19:08 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1654458 None VERIFIED module-idm-DL1, python-qrcode: Please switch Requires to platform-python-setuptools 2019-09-30 14:58:46 UTC
Red Hat Product Errata RHBA-2019:3463 None None None 2019-11-05 21:19:10 UTC

Description Tomas Orsava 2018-11-28 20:33:09 UTC
Hello,

please switch the runtime dependency of python3-qrcode (inside the module "idm", stream "client") from the package "python3-setuptools" to "platform-python-setuptools".

The platform-python-setuptools package is exactly the same, except it doesn't contain the user-facing executable `easy_install-3.6` which is not needed by this package. It's highly confusing to users to have the easy_install executable installed, but not python3 (BZ#1638836).

Comment 1 Tomas Orsava 2018-11-28 21:11:25 UTC
Pull Request: https://src.osci.redhat.com/rpms/python-qrcode/pull-request/1

Comment 3 Lumír Balhar 2019-01-30 07:33:29 UTC
Setting internal target release to 8.0.0.1. Now we have to wait for branching so we have some time to gather all acks.

Comment 4 Lumír Balhar 2019-02-18 09:13:37 UTC
I am sorry. I did a mistake. I should not be the one who set internal target release to your bug.
Could you please schedule work on this bug somehow? It's a really easy fix and it'll improve users experience. Thank you.

Comment 7 Kaleem 2019-08-28 07:31:38 UTC
FailedQA

python3-setuptools not shown as require for python3-qrcode


[root@client ~]# yum module list idm
Updating Subscription Management repositories.
Unable to read consumer identity
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Last metadata expiration check: 0:01:51 ago on Wed 28 Aug 2019 12:39:37 PM IST.
rhel81-appstream
Name        Stream               Profiles                                        Summary                                                              
idm         DL1                  common [d], adtrust, client, dns, server        The Red Hat Enterprise Linux Identity Management system module       
idm         client [d][e]        common [d]                                      RHEL IdM long term support client module                             

Hint: [d]efault, [e]nabled, [x]disabled, [i]nstalled
[root@client ~]# rpm -q --requires python3-qrcode|grep platform-python-setuptools
[root@client ~]# rpm -q --requires python3-qrcode|grep platform-python-setuptools
[root@client ~]# rpm -q --requires python3-qrcode
/usr/libexec/platform-python
python(abi) = 3.6
python3-imaging
python3-qrcode-core = 5.1-11.module+el8.1.0+3396+9683e56e
python3-setuptools
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1
[root@client ~]# rpm -q python3-qrcode
python3-qrcode-5.1-11.module+el8.1.0+3396+9683e56e.noarch
[root@client ~]#

Comment 8 Christian Heimes 2019-08-28 07:53:29 UTC
The IDM:client stream still has 5.1-11. The fix is in 5.1-12.

Thomas, could you please update the client stream next week?

Comment 16 Kaleem 2019-09-04 11:11:59 UTC
Verified based on following info.

[root@client ~]# yum module list idm
Updating Subscription Management repositories.
Unable to read consumer identity
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Last metadata expiration check: 0:01:39 ago on Wed 04 Sep 2019 04:37:13 PM IST.
rhel81-appstream
Name        Stream               Profiles                                        Summary                                                              
idm         DL1                  common [d], adtrust, client, dns, server        The Red Hat Enterprise Linux Identity Management system module       
idm         client [d][e]        common [d]                                      RHEL IdM long term support client module                             

Hint: [d]efault, [e]nabled, [x]disabled, [i]nstalled
[root@client ~]# yum module info idm:client
Updating Subscription Management repositories.
Unable to read consumer identity
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Last metadata expiration check: 0:01:45 ago on Wed 04 Sep 2019 04:37:13 PM IST.
Name             : idm
Stream           : client [d][e][a]
Version          : 8010020190830081733
Context          : a0b73924
Architecture     : x86_64
Profiles         : common [d]
Default profiles : common
Repo             : rhel81-appstream
Summary          : RHEL IdM long term support client module
Description      : RHEL IdM is an integrated solution to provide centrally managed Identity (users, hosts, services), Authentication (SSO, 2FA), and Authorization (host access control, SELinux user roles, services). The solution provides features for further integration with Linux based clients (SUDO, automount) and integration with Active Directory based infrastructures (Trusts).
                 : This module stream supports only client side of RHEL IdM solution
Artifacts        : ipa-0:4.8.0-10.module+el8.1.0+4107+4a66eb87.src
                 : ipa-client-0:4.8.0-10.module+el8.1.0+4107+4a66eb87.x86_64
                 : ipa-client-common-0:4.8.0-10.module+el8.1.0+4107+4a66eb87.noarch
                 : ipa-client-debuginfo-0:4.8.0-10.module+el8.1.0+4107+4a66eb87.x86_64
                 : ipa-client-samba-0:4.8.0-10.module+el8.1.0+4107+4a66eb87.x86_64
                 : ipa-common-0:4.8.0-10.module+el8.1.0+4107+4a66eb87.noarch
                 : ipa-debuginfo-0:4.8.0-10.module+el8.1.0+4107+4a66eb87.x86_64
                 : ipa-debugsource-0:4.8.0-10.module+el8.1.0+4107+4a66eb87.x86_64
                 : ipa-python-compat-0:4.8.0-10.module+el8.1.0+4107+4a66eb87.noarch
                 : python-jwcrypto-0:0.5.0-1.module+el8.1.0+4107+4a66eb87.src
                 : python-qrcode-0:5.1-12.module+el8.1.0+4107+4a66eb87.src
                 : python-yubico-0:1.3.2-9.module+el8.1.0+4107+4a66eb87.src
                 : python3-ipaclient-0:4.8.0-10.module+el8.1.0+4107+4a66eb87.noarch
                 : python3-ipalib-0:4.8.0-10.module+el8.1.0+4107+4a66eb87.noarch
                 : python3-jwcrypto-0:0.5.0-1.module+el8.1.0+4107+4a66eb87.noarch
                 : python3-pyusb-0:1.0.0-9.module+el8.1.0+4107+4a66eb87.noarch
                 : python3-qrcode-0:5.1-12.module+el8.1.0+4107+4a66eb87.noarch
                 : python3-qrcode-core-0:5.1-12.module+el8.1.0+4107+4a66eb87.noarch
                 : python3-yubico-0:1.3.2-9.module+el8.1.0+4107+4a66eb87.noarch
                 : pyusb-0:1.0.0-9.module+el8.1.0+4107+4a66eb87.src

Hint: [d]efault, [e]nabled, [x]disabled, [i]nstalled, [a]ctive
[root@client ~]# rpm -q --requires python3-qrcode|grep platform-python-setuptools
platform-python-setuptools
[root@client ~]# rpm -q --requires python3-qrcode|grep python3-setuptools
[root@client ~]# rpm -q python3-qrcode
python3-qrcode-5.1-12.module+el8.1.0+4107+4a66eb87.noarch
[root@client ~]#

Comment 18 errata-xmlrpc 2019-11-05 21:19:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3463


Note You need to log in before you can comment on or make changes to this bug.